Conversations
Add Labels
Add labels to a conversation. Note that this API would overwrite the existing list of labels associated to the conversation.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
labels
Add Labels
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/labels \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"labels": [
"support",
"billing"
]
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/labels"
payload = { "labels": ["support", "billing"] }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({labels: ['support', 'billing']})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
"<string>"
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
Array of labels (comma-separated strings)
Example:
["support", "billing"]Response
Success
Array of labels
Previous
Conversation Reporting EventsGet reporting events for a specific conversation. This endpoint returns events such as first response time, resolution time, and other metrics for the conversation, sorted by creation time in ascending order.
Next
⌘I
Add Labels
